Ask is moving to Stack Overflow and Serverfault.com! Please use the "opendaylight" tag on either of these sites. This site is now in Read-Only mode

0

Error with feature install ( odl-restconf-all odl-l2switch-switch odl-mdsal-apidocs odl-dlux-all)

asked 2016-03-30 10:07:05 -0700

lehung1192 gravatar image

Hi admin My problem of me when install opendaylight , please help me Error Content:

Error executing command: Can't install feature odl-restconf-all/0.0.0:
Could not start bundle mvn:org.opendaylight.yangtools/concepts/0.7.0-Lithium in feature(s) odl-yangtools-common-0.7.0-Lithium, odl-persistence-api-1.0.0-Lithium: The bundle "org.opendaylight.yangtools.concepts_0.7.0.Lithium [98]" could not be resolved. Reason: Missing Constraint: Require-Capability: osgi.ee; filter="(&(osgi.ee=JavaSE)(version=1.7))"

edit retag flag offensive close merge delete

2 answers

Sort by ยป oldest newest most voted
0

answered 2016-03-31 10:26:50 -0700

azhark gravatar image

Download the folder distribution-karaf-0.4.0 again from ODL website. And then try running karaf container by ./bin/karaf. Seems like your downloaded folder has errors.

edit flag offensive delete publish link more
0

answered 2016-04-02 10:02:33 -0700

saisujithreddy gravatar image

updated 2016-04-02 10:09:08 -0700

Stop the controller

Go to distribution/karaf/target/assembly/etc

Remove line 128 from config.properties and corresponding "," and "\" from the line 127

Start the controller and you should be good.

edit flag offensive delete publish link more

Comments

How to remove this i have the same probleme when i tryed to instal the features of opendaylight ? any answers ?

madiha95 ( 2016-04-19 09:45:49 -0700 )edit
Login/Signup to Answer

Stats

Asked: 2016-03-30 10:07:05 -0700

Seen: 852 times

Last updated: Apr 02 '16